org.apache.activemq.artemis.jms.server

## Class ActiveMQJMSServerBundle_$bundle

- java.lang.Object
- - org.apache.activemq.artemis.jms.server.ActiveMQJMSServerBundle_$bundle

- All Implemented Interfaces:
    Serializable, ActiveMQJMSServerBundle

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2020-11-02T18:47:56-0500")
      public class ActiveMQJMSServerBundle_$bundle
      extends Object
      implements ActiveMQJMSServerBundle, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ActiveMQJMSServerBundle_$bundle` | `INSTANCE`

    - ### Fields inherited from interface org.apache.activemq.artemis.jms.server.ActiveMQJMSServerBundle

      `BUNDLE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ActiveMQJMSServerBundle_$bundle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActiveMQAddressExistsException` | `cfBindingsExists(String name)`
    `protected String` | `cfBindingsExists$str()`
    `ActiveMQInternalErrorException` | `cfDoesntExist(String name)`
    `protected String` | `cfDoesntExist$str()`
    `ActiveMQIllegalStateException` | `discoveryGroupDoesntExist(String name)`
    `protected String` | `discoveryGroupDoesntExist$str()`
    `ActiveMQIllegalStateException` | `errorDecodingPassword(Exception e)`
    `protected String` | `errorDecodingPassword$str()`
    `protected Locale` | `getLoggingLocale()`
    `ActiveMQIllegalStateException` | `noConnectorNameConfiguredOnCF(String name)`
    `protected String` | `noConnectorNameConfiguredOnCF$str()`
    `ActiveMQIllegalStateException` | `noConnectorNameOnCF()`
    `protected String` | `noConnectorNameOnCF$str()`
    `protected Object` | `readResolve()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ActiveMQJMSServerBundle_$bundle INSTANCE

  - ### Constructor Detail

    - #### ActiveMQJMSServerBundle_$bundle

          protected ActiveMQJMSServerBundle_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### cfDoesntExist$str

          protected String cfDoesntExist$str()

    - #### cfDoesntExist

          public final ActiveMQInternalErrorException cfDoesntExist(String name)

      Specified by:
        `cfDoesntExist` in interface `ActiveMQJMSServerBundle`

    - #### discoveryGroupDoesntExist$str

          protected String discoveryGroupDoesntExist$str()

    - #### discoveryGroupDoesntExist

          public final ActiveMQIllegalStateException discoveryGroupDoesntExist(String name)

      Specified by:
        `discoveryGroupDoesntExist` in interface `ActiveMQJMSServerBundle`

    - #### noConnectorNameOnCF$str

          protected String noConnectorNameOnCF$str()

    - #### noConnectorNameOnCF

          public final ActiveMQIllegalStateException noConnectorNameOnCF()

      Specified by:
        `noConnectorNameOnCF` in interface `ActiveMQJMSServerBundle`

    - #### noConnectorNameConfiguredOnCF$str

          protected String noConnectorNameConfiguredOnCF$str()

    - #### noConnectorNameConfiguredOnCF

          public final ActiveMQIllegalStateException noConnectorNameConfiguredOnCF(String name)

      Specified by:
        `noConnectorNameConfiguredOnCF` in interface `ActiveMQJMSServerBundle`

    - #### cfBindingsExists$str

          protected String cfBindingsExists$str()

    - #### cfBindingsExists

          public final ActiveMQAddressExistsException cfBindingsExists(String name)

      Specified by:
        `cfBindingsExists` in interface `ActiveMQJMSServerBundle`

    - #### errorDecodingPassword$str

          protected String errorDecodingPassword$str()

    - #### errorDecodingPassword

          public final ActiveMQIllegalStateException errorDecodingPassword(Exception e)

      Specified by:
        `errorDecodingPassword` in interface `ActiveMQJMSServerBundle`

Copyright © 2020 The Apache Software Foundation. All rights reserved.